Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167258 - NullPointerException: Cannot pass null URL to URLMapper.findFileObject
NullPointerException: Cannot pass null URL to URLMapper.findFileObject
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jan Jancura
issues@editor
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT 67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-17 18:52 UTC by jaysonsantos
Modified: 2009-07-16 13:39 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.75 KB, text/plain)
2009-06-17 18:52 UTC, jaysonsantos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jaysonsantos 2009-06-17 18:52:46 UTC
Build: NetBeans IDE Dev (Build 200906170201)
VM: Java HotSpot(TM) 64-Bit Server VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b03
OS: Linux, 2.6.28-13-generic, amd64

Stacktrace: 
java.lang.NullPointerException: Cannot pass null URL to URLMapper.findFileObject
        at org.openide.filesystems.URLMapper.findFileObject(URLMapper.java:202)
        at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Work.indexEmbedding(RepositoryUpdater.java:1303)
        at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$Work.index(RepositoryUpdater.java:1220)
        at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$RootsWork.scanSource(RepositoryUpdater.java:2129)
        at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$RootsWork.scanSources(RepositoryUpdater.java:2046)
        at org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater$RootsWork.getDone(RepositoryUpdater.java:1826)
Comment 1 jaysonsantos 2009-06-17 18:52:50 UTC
Created attachment 83720 [details]
stacktrace
Comment 2 Vitezslav Stejskal 2009-06-18 13:10:43 UTC
http://hg.netbeans.org/jet-main/rev/e6b974b13e7c
Comment 3 Quality Engineering 2009-06-19 07:45:06 UTC
Integrated into 'main-golden', will be available in build *200906190201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e6b974b13e7c
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #167258 - NPE when indexing stale FileObject
Comment 4 Petr Blaha 2009-07-02 13:29:42 UTC
v.
Comment 5 Vitezslav Stejskal 2009-07-13 12:03:01 UTC
Transplanted to release67_fixes as http://hg.netbeans.org/release67_fixes/rev/7eed16a9cf6f
Comment 6 Jiri Prox 2009-07-16 13:39:05 UTC
v. in 6.7.1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo